Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class BusyStatus

    java.lang.Object
      portlets.compoze.groupware.calendar.BusyStatus

All Implemented Interfaces:
  java.io.Serializable

public class BusyStatus
extends java.lang.Object
implements java.io.Serializable

This class represents the busy status of an appointment.

See Also:
  Serialized Form

Field Summary
`static BusyStatus` | `BUSY` This value represents a 'busy' busy status.
`static BusyStatus` | `FREE` This value represents a 'free' busy status.
`static BusyStatus` | `OUT_OF_OFFICE` This value represents a 'out of office' busy status.
`static BusyStatus` | `TENTATIVE` This value represents a 'tentative' busy status.
`static int` | `VALUE_BUSY` This value represents the 'busy' value.
`static int` | `VALUE_FREE` This value represents the 'free' value.
`static int` | `VALUE_OUT_OF_OFFICE` This value represents the 'out of office' value.
`static int` | `VALUE_TENTATIVE` This value represents the 'tentative' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static BusyStatus` | `get(int iValue)` Gets the busy status by the value.
`static java.util.List` | `getBusyStatus()` Gets the list of busy status objects.
`java.lang.String` | `getKey()` Gets the key (message name) for i18n.
`int` | `getValue()` Gets the value of the busy status.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_FREE

    public static final int VALUE_FREE

  This value represents the 'free' value.

  See Also:
    Constant Field Values

### VALUE_TENTATIVE

    public static final int VALUE_TENTATIVE

  This value represents the 'tentative' value.

  See Also:
    Constant Field Values

### VALUE_BUSY

    public static final int VALUE_BUSY

  This value represents the 'busy' value.

  See Also:
    Constant Field Values

### VALUE_OUT_OF_OFFICE

    public static final int VALUE_OUT_OF_OFFICE

  This value represents the 'out of office' value.

  See Also:
    Constant Field Values

### FREE

    public static final BusyStatus FREE

  This value represents a 'free' busy status.

### TENTATIVE

    public static final BusyStatus TENTATIVE

  This value represents a 'tentative' busy status.

### BUSY

    public static final BusyStatus BUSY

  This value represents a 'busy' busy status.

### OUT_OF_OFFICE

    public static final BusyStatus OUT_OF_OFFICE

  This value represents a 'out of office' busy status.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key (message name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the busy status.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static BusyStatus get(int iValue)

  Gets the busy status by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching busy status or `null` if not found

### getBusyStatus

    public static java.util.List getBusyStatus()

  Gets the list of busy status objects.

  Returns:
    the list of `BusyStatus` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.